#!/bin/sh

if [ -d $1/module ]; then
	# dkms < 1.90
	module_dir=$1/module
elif [ -d $1/$2/module ]; then
	# dkms >= 1.90
	module_dir=$1/$2/module
else
	echo Module directory $1/$2/module or $1/$2/module not found
	exit 1
fi

cd $1
# Set permissions on binaries and strip them
for f in `find . -type f -name \*.o -or -name \*.ko`; do
	chmod 744 $f
	strip -g $f
done
